Bug 1124463 - [abrt] ibus-setup: enginetreeview.py:132:__icon_cell_data_cb:AttributeError: 'NoneType' object has no attribute 'get_icon'
Summary: [abrt] ibus-setup: enginetreeview.py:132:__icon_cell_data_cb:AttributeError: ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0cd510196e8d4eae4c4645edb52...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 14:30 UTC by Felipe Martins Clemente
Modified: 2014-08-15 02:55 UTC (History)
3 users (show)

Fixed In Version: ibus-1.5.7-6.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 02:51:51 UTC


Attachments (Terms of Use)
File: backtrace (788 bytes, text/plain)
2014-07-29 14:30 UTC, Felipe Martins Clemente
no flags Details
File: environ (3.29 KB, text/plain)
2014-07-29 14:30 UTC, Felipe Martins Clemente
no flags Details

Description Felipe Martins Clemente 2014-07-29 14:30:24 UTC
Version-Release number of selected component:
ibus-setup-1.5.7-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        python3 /usr/share/ibus/setup/main.py
executable:     /usr/share/ibus/setup/main.py
kernel:         3.14.4-200.fc20.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
enginetreeview.py:132:__icon_cell_data_cb:AttributeError: 'NoneType' object has no attribute 'get_icon'

Traceback (most recent call last):
  File "/usr/share/ibus/setup/enginetreeview.py", line 132, in __icon_cell_data_cb
    pixbuf = load_icon(engine.get_icon(), Gtk.IconSize.LARGE_TOOLBAR)
AttributeError: 'NoneType' object has no attribute 'get_icon'

Local variables in innermost frame:
renderer: <CellRendererPixbuf object at 0x7fa6e768ea00 (GtkCellRendererPixbuf at 0xb226e0)>
icon_size: True
model: <ListStore object at 0x7fa6e76749b0 (GtkListStore at 0xe3b1b0)>
engine: None
it: <GtkTreeIter at 0xbaa700>
data: None
celllayout: <TreeViewColumn object at 0x7fa6e768b780 (GtkTreeViewColumn at 0xe48920)>
self: <EngineTreeView object at 0x7fa6e7674a50 (EngineTreeView at 0xe42540)>

Comment 1 Felipe Martins Clemente 2014-07-29 14:30:27 UTC
Created attachment 922163 [details]
File: backtrace

Comment 2 Felipe Martins Clemente 2014-07-29 14:30:28 UTC
Created attachment 922164 [details]
File: environ

Comment 3 Fedora Update System 2014-07-30 02:39:04 UTC
ibus-1.5.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-8949/ibus-1.5.8-1.fc20

Comment 4 Fedora Update System 2014-07-30 02:40:30 UTC
ibus-1.5.7-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-8924/ibus-1.5.7-6.fc19

Comment 5 Fedora Update System 2014-08-15 02:51:51 UTC
ibus-1.5.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-08-15 02:55:41 UTC
ibus-1.5.7-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.